# MONAI Label Supported Viewers
MONAI Label supports various viewers for different domains, including radiology, pathology, and video. These viewers are essential for analyzing, visualizing, and understanding medical image data, as well as for the development and integration of algorithms.

## Radiology
#### 3D Slicer
3D Slicer is a free, open-source software for visualization, processing, segmentation, registration, and other 3D images and meshes. MONAI Label supports 3D Slicer with radiology and monaibundle applications. With its advanced features, 3D Slicer is a mature and well-tested viewer for radiology studies and algorithms.

#### OHIF
The Open Health Imaging Foundation (OHIF) Viewer is an open-source, web-based platform for medical imaging. OHIF Viewer provides a framework for building complex imaging applications with user-friendly interfaces. MONAI Label supports the web-based OHIF viewer with connectivity to a remote DICOM server via DICOMweb.

## Pathology
#### QuPath
QuPath is an open, flexible, extensible software platform for bioimage analysis. It is designed to support a wide range of tasks in digital pathology, including cell and nuclei detection, tissue classification, and biomarker quantification. MONAI Label can easily deploy pathology-related tasks with QuPath, such as nuclei segmentation and classification.

## Endoscopy/Video
#### CVAT
CVAT is an interactive video and image annotation tool for computer vision. It provides a user-friendly interface for annotating images and videos, making it ideal for computer-assisted intervention applications. MONAI Label can deploy computer vision-related tasks with the CVAT viewer, such as endoscopy segmentation and tracking.
